/*===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2013, 2014. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *===========================================================================
 */
/*
 * Copyright (c) 2006, Oracle and/or its affiliates. All rights reserved. Use is
 * subject to license terms.
 */

package java.awt.peer;

import java.awt.TrayIcon;
import java.awt.Dimension;
import java.awt.Point;

public interface TrayIconPeer {
    void dispose();
    void setToolTip(String tooltip);
    void updateImage();
    void displayMessage(String caption, String text, String messageType);
    void showPopupMenu(int x, int y);
}
