/*===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2013, 2014. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *===========================================================================
 */
/*
 * @(#)IseriesFileSystem.java	1.21 05/12/01
 *
 * Copyright 2007 IBM Pvt Ltd. All rights reserved.
 * IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package java.io;

import java.security.AccessController;
import sun.security.action.GetPropertyAction;

class IseriesFileSystem extends UnixFileSystem {

    public native boolean createFileExclusively(String path) throws IOException;
    public native boolean createDirectory(File f);
    public static native int initi5mapping();

    static {
        initi5mapping();
    }

    public String canonicalize(String path) throws IOException {	/* JSE-3964 */
	return canonicalize0(path);					/* JSE-3964 */
    }									/* JSE-3964 */
    
    private native String canonicalize0(String path) throws IOException;
}
