/*===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2013, 2014. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *===========================================================================
 */
/*
(#)ZStreamRef.java  1.1 09/12/07
    *
    * Copyright 2009 Sun Microsystems, Inc. All rights reserved.
    * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
    */
    
    package java.util.zip;
    
   /**
    * A reference to the native zlib's z_stream structure.
    */
   
   class ZStreamRef {
   
       private long address;
       ZStreamRef (long address) {
           this.address = address;
       }
   
       long address() {
           return address;
       }
   
       void clear() {
           address = 0;
       }
   }

